Subject: Cutoff date for requesting remote presentations support

From: Meetecho IETF support <[email-masked]>
Date: Mon, 14 Mar 2016 17:36:25 +0100

Dear chairs,

if you plan to have remote presentations in Buenos Aires, you're kindly 
requested to fill in the following form:

https://ietf95.conf.meetecho.com/index.php/Remote_presentations

*The cutoff date for remote presentations support requests is April 2.*

Thanks,
the Meetecho team